C API Functions

## udbIsKindFile

### Description

Return true if the specified kind refers to a "file" kind entity.

Refer to the language-specific listings of entity kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     int udbIsKindFile( UdbKind kind)

### Arguments

Argument | description
UdbKind kind | Specify the entity kind

### Return Values

Return values | description
int | Returns true if the specified kind is a kind of file; false otherwise.

### Example Usage

     if (udbIsKindFile(udbEntityKind(entity))
    { ... }

### See Also

udbEntityKind to get kind of entity.

udbIsKind to check if a kind matches a specified kind name.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com